#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Parse
%define	pnam	Dia-SQL
Summary:	Parse::Dia::SQL - Convert Dia class diagrams into SQL
#Summary(pl.UTF-8):	
Name:		perl-Parse-Dia-SQL
Version:	0.20
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/A/AF/AFF/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6aed27ee22c012ccb47a211465432cac
URL:		http://search.cpan.org/dist/Parse-Dia-SQL/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Log-Log4perl
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Text-Table
BuildRequires:	perl-XML-DOM
BuildRequires:	perl-XML-Parser
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Parse::Dia::SQL converts Dia class diagrams into SQL.

# %description -l pl.UTF-8
# TODO

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%doc AUTHORS Changes README TODO
%{perl_vendorlib}/Parse/Dia
%{_mandir}/man?/*
%changelog
* Sun Apr 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Parse-Dia-SQL.git;a=log;h=master

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> 6f2e57a
- up to 0.20

* Fri Jan 27 2012 zbyniu <zbyniu@pld-linux.org> 94ebd02
- up to 0.19

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 7e60e70
- up to 0.18

* Tue May 24 2011 Zsolt Udvari <uzsolt@pld-linux.org> b81f170
- 0.17

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> 79339a7
- use working source0 uri

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> 63c6734
- tests BR: perl-XML-Parser
- dropped unused BR: perl-Log-Dispatch-FileRotate

* Wed Jan 19 2011 Zsolt Udvari <uzsolt@pld-linux.org> 6204cb2
- 0.16

* Wed Oct 07 2009 amateja <amateja@pld-linux.org> de97777
- updated to 0.11

* Fri May 29 2009 radek <radek@pld-linux.org> 2dcb4d7
- new

